<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>com.scytl.products.ov</groupId>
    <artifactId>mixnet</artifactId>
    <version>2.1.6</version>
  </parent>

  <artifactId>validation-engine</artifactId>
  <name>Secure Data Manager - Validation engine</name>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

  <dependencies>
    <!-- internal project dependencies-->
    <dependency>
      <groupId>com.scytl.products.ov.sdm</groupId>
      <artifactId>ov-secure-data-manager-libs-config</artifactId>
      <version>${project.version}</version>
      <exclusions>
        <exclusion>
          <groupId>org.slf4j</groupId>
          <artifactId>slf4j-log4j12</artifactId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.scytl.mixing</groupId>
      <artifactId>mixing-commons</artifactId>
      <version>${mixing.version}</version>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
      <artifactId>ov-commons-lib</artifactId>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov</groupId>
      <artifactId>config-commons</artifactId>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov</groupId>
      <artifactId>validation-commons</artifactId>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <groupId>com.scytl.products.ov.channel.commons</groupId>
      <artifactId>ov-commons-sign</artifactId>
      <version>${ov-channel.version}</version>
      <exclusions>
        <exclusion>
          <artifactId>libs-config</artifactId>
          <groupId>com.scytl.products.ov.channel.commons</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov.channel.commons</groupId>
      <artifactId>ov-commons-correctness</artifactId>
      <version>${ov-channel.version}</version>
    </dependency>

    <!-- other dependencies -->
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-lang3</artifactId>
    </dependency>
    <dependency>
      <groupId>commons-codec</groupId>
      <artifactId>commons-codec</artifactId>
    </dependency>
    <dependency>
      <groupId>com.googlecode.jcsv</groupId>
      <artifactId>jcsv</artifactId>
    </dependency>

    <!-- CryptoLib dependencies -->
    <dependency>
      <artifactId>cryptolib-elgamal</artifactId>
      <groupId>com.scytl.cryptolib</groupId>
    </dependency>
    <dependency>
      <artifactId>cryptolib-proofs</artifactId>
      <groupId>com.scytl.cryptolib</groupId>
    </dependency>

    <!-- spring batch -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.batch</groupId>
      <artifactId>spring-batch-core</artifactId>
    </dependency>

    <!-- Testing -->
    <dependency>
      <groupId>com.scytl.math</groupId>
      <artifactId>scytl-math</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-jdk15on</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.scytl.mixing</groupId>
      <artifactId>mixing-commons</artifactId>
      <version>${mixing.version}</version>
      <type>test-jar</type>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.scytl.products.ov.channel.commons</groupId>
      <artifactId>ov-commons-sign</artifactId>
      <version>${ov-channel.version}</version>
      <type>test-jar</type>
    </dependency>
  </dependencies>

  <build>
    <resources>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
        <includes>
          <include>**/version.txt</include>
        </includes>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>false</filtering>
        <excludes>
          <exclude>**/version.txt</exclude>
        </excludes>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-failsafe-plugin</artifactId>
        <configuration>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
      </plugin>
    </plugins>
  </build>
</project>

